#social_container {
    width: 70%;
    height: 40px;
    background-image: image-set(url('../../images/wooden.avif') type('image/avif'),
            url('../../images/wooden.webp') type('image/webp'),
            url('../../images/wooden.png') type('image/png'));
    margin: 40px auto 80px;
    max-width: 500px;
    border-radius: 30px;
    border: 3px solid #9b5400ab;
    display: flex;
    justify-content: space-around;
    align-items: center;
    box-shadow: 0 0 14px 1px #b37834ab;
}

#social_container img {
    width: 70px;
    filter: drop-shadow(1px 2px 3px rgba(10, 10, 10, 0.6));
}

#social_container a:hover img {
    filter: drop-shadow(1px 2px 3px rgba(10, 10, 10, 1));
}


@media (max-width: 600px) {
    #social_container {
        width: 85%;
        margin: 20px auto 60px;
    }
}

@media (max-width: 400px) {
    #social_container img {
        width: 60px;
        filter: drop-shadow(1px 2px 2px rgba(10, 10, 10, 0.4));
    }
}

#call_banner {
    width: 40%;
    min-width: 190px;
    height: 60px;
    background-image: image-set(url('../../images/leaf.avif') type('image/avif'),
            url('../../images/leaf.webp') type('image/webp'),
            url('../../images/leaf.png') type('image/png'));
    margin: 50px auto 50px;
    max-width: 500px;
    border-radius: 30px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    font-size: 1rem;
    color: #f5ffed;
    text-decoration: none;
    animation: glow 3s infinite ease-out;
    font-family: vazirmatn;
}

#call_banner:hover span {
    animation: glow2 1.5s infinite ease-out;
    text-decoration: underline;
}

@keyframes glow {
    0% {
        box-shadow: 0 0 1px 1px #73bf29c7, 0 0 7px 1px #92c95dc7, 0 0 3px 1px #92c560d9;
    }

    50% {
        box-shadow: 0 0 50px 20px #74bf295d, 0 0 30px 6px #91c95d71, 0 0 13px 3px #93c56098;
    }

    100% {
        box-shadow: 0 0 1px 1px #73bf29c7, 0 0 7px 1px #92c95dc7, 0 0 3px 1px #92c560d9;
    }
}

@keyframes glow2 {
    0% {
        box-shadow: 0 0 1px 1px #73bf29c7, 0 0 7px 1px #92c95dc7, 0 0 3px 1px #92c560d9;
    }

    50% {
        box-shadow: 0 0 20px 20px #74bf299e, 0 0 20px 6px #92c95dc7, 0 0 13px 3px #92c560d9;
    }

    100% {
        box-shadow: 0 0 1px 1px #73bf29c7, 0 0 7px 1px #92c95dc7, 0 0 3px 1px #92c560d9;
    }
}

#call_banner:hover {
    text-decoration: underline;
}

@media (max-width: 1300px) {
    #call_banner h3 {
        font-size: 1.1rem;
    }
}

@media (max-width: 900px) {
    #call_banner h3 {
        font-size: 1rem;
    }
}

@media (max-width: 800px) {
    #call_banner {
        min-width: 390px;
    }
}

@media (max-width: 500px) {
    #call_banner {
        min-width: unset;
        width: 95%;
    }

    #call_banner h2 {
        font-size: 1.1rem;
    }
}


#call_banner {
    position: relative;

    display: flex;
    align-items: center;
    justify-content: center;

    overflow: hidden;
    cursor: pointer;
}

#call_banner::before {
    content: '';
    position: absolute;
    width: 400%;
    height: 1000%;
    background: conic-gradient(#2eff3f,
            #7bff00,
            #169e38,
            #087e18,
            #58FF57,
            #8eeb23,
            #b9ff15);
    ;
}

#call_banner span {
    position: absolute;
    background: image-set(url('../../images/leaf.avif') type('image/avif'),
            url('../../images/leaf.webp') type('image/webp'),
            url('../../images/leaf.png') type('image/png'));
    background-size: inherit;
    width: 98%;
    height: 97%;
    border-radius: 25px;
    padding: 1px 12px;

    color: #fff;

    display: flex;
    align-items: center;
    justify-content: center;
}

#call_banner::before {
    animation: spin 6s infinite ease-out;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}